ICU 74.2 74.2

Data Structures | Namespaces
stsearch.h File Reference

C++ API: Service for searching text based on RuleBasedCollator. More...

`#include "unicode/utypes.h"`
`#include "unicode/tblcoll.h"`
`#include "unicode/coleitr.h"`
`#include "unicode/search.h"`

Go to the source code of this file.

## Data Structures
class | icu::StringSearch
| `StringSearch` is a `SearchIterator` that provides language-sensitive text searching based on the comparison rules defined in a `RuleBasedCollator` object. More...

## Namespaces
namespace | icu
| File coll.h.

## Detailed Description

C++ API: Service for searching text based on RuleBasedCollator.

Definition in file stsearch.h.